Register Members List Search Today's Posts Mark Forums Read

Reply
 
Mod Options
Advanced Warning System (AWS) Details »
Advanced Warning System (AWS)
Mod Version: 3.4.16, by sv1cec (Member) sv1cec is offline
Developer Last Online: Aug 2017 I like it Show Printable Version Email this Page

This modification is in the archives.
vB Version: 3.0.7 Rating: (5 votes - 4.20 average) Installs: 256
Released: 21 Nov 2004 Last Update: 31 Aug 2005 Downloads: 208
Supported DB Changes Template Edits Code Changes  

Advanced Warning System Version 3.5.0

The AWS version for vB 3.5 has been released. You can download it and get support in this thread:

http://www.vbulletin.org/forum/showthread.php?p=770032


Advanced Warning System Version 3.4.16 (latest stable release for vB 3.0.x)


LATEST ANNOUNCEMENT

The AWS has its own Premium Forum here at vBulletin.org, so please use that for questions and discussion on this hack.

The Permium Forum is located at :

http://www.vbulletin.org/forum/forumdisplay.php?f=105





This Warning System owes its existence to Zero Tolerance's Warning Hack (http://www.vbulletin.org/forum/showthread.php?t=65336). I liked the idea, so I installed Zero's hack in my forums site. However, as in most cases, I was not fully satisfied with the way it worked, so I started customizing it. Other people in the thread above, asked questions, which I had already answered by my customizing work, so I answered, giving away those parts of the code, that I had modified.

In the long run, I almost hijacked the thread and the hack from Zero, so I guess I owe him an apology. However, the mods I did have compiled a new, more complete warning system, with much more functionality. Several members from that thread, asked if this could be released as a new hack, so after discussing it with Zero, here it is.

What it does? Well, it is a Warning System, which means it allows you (the administrative team of your site, in other words the admins, the supermods and the mods), to define offences, which the members of your forum should NOT commit. But as we all know, there are instances where members do not follow the rules. In that case, this warning system, allows you to issue a warning to the member who commited the offence. The warning has some points associated with it, as well as a period over which it is valid. When a member gathers enough points, he is banned from your forums, for a predefined period of time. That's mostly it, but below, you can find a short list of features:

Full warning system with:

- post- and non-post-related warnings
- hierarchical warning schema
- hidden or real warners
- customizable maximum warning points
- automatically bans members who reached the maximum warning points
- customizable ban days
- customizable ban user group and permanent ban user group
- customizable restore user group, where users are restored after they get unbanned
- customizable option for who can see the warning level of the members
- automatically issued warnings for posts which contain censored words
- automatically issued warnings for private messages which contain censored words
- supports incremental banning periods
- supports multiple warnings for the same post
- warned members are notified either by Private Message or e-mail when they are warned and when one of the warnings they have received is either deleted or expired
- maintains historical listings of issued warnings (even if deleted or expired)
- customizable warning types
- each warning type has predefined warning points associated with it
- each warning type has predefined maturity period, after which it is automatically deleted
- reports for admin, mods and members
- cron job included to automatically remove matured warnings
- uses vBulletin's cron job, to automatically unban banned users
- all options are setable in your AdminCP
- user warning points and number of bans viewable in your AdminCP User Manager.
- statistics show warning per type, warnings per warner, bans per user.
- Allows you to warn a user from your AdminCP/User Manager.
- Large "Warn" sign, in posts which have received a warning, for mods, supermods and admins, to easily distinguish those posts.
- Ability to remove user's avatar, signature or usage of the Private Messaging system, depending on the warning points he has collected.
- Supports non-standard admins, supermods and mods user groups.
- Allows you to save a copy of the warning send to the warned user, in a predefined forum.
- Allows you to issue "Alerts" (warnings without warning points, for first-time offenders)
- Allows you to add private or public notes for a user, either post-specific or not. Notes appear in the postbit, above each user's message.
- etc.

Admitedly, this is not an easy hack to install. It requires 20 new templates and modifications to some existing ones too. It requires five new tables and modifications to some others. It requires several new phrases. I've tried to make the installation, as easy as I could, by automating certain tasks in an automatic installer. The installer will add the new templates for you, add the new tables required and change the existing ones, and will add the required new phrases. You will have to manually edit the existing templates and the php files though. I also included an upgrade script, which will upgrade those who are using Zero Tolerance's warning hack (version 1.5) to this one. An uninstaller is also included, which removes what the installer installs.

Please keep in mind, that this is a very difficult hack to install. For this reason, I strongly recommend that you back up your database before starting the installation. I also suggest that you keep copies of each file and template you edit, so that you can always revert to a previous stable condition. Finally, I strongly suggest that you always run the latest release.

The zip file always contains both the instructions and the files required to install the latest version. If you have installed a previous version and want to upgrade to the latest, there is a text file attached, in the zip with upgrade instructions. Follow them.

In this thread, you will also find a more detailed document describing the features of this hack, as well as a document describing its version evolution.

Also keep in mind that the installer, will add the AWS templates only to your default style. If you want to use them in another one, you may try this Zero Tolerance's hack, which copies the templates to other styles you may have.

Another thing, the installation instructions were written when vB was at release 3.0.3, so you may expect to find some differences, with the latest files and templates. As far as I can tell, I haven't faced any such case, but I post this reservation here, since I do not have the time to recheck all the instructions for compliance with the latest vB release. The hack has been installed and is working fine with the vBulletin version shown at the top of this thread.

Finally, if you are using more than one style, the installer will install the templates only in the default one. If you want to use the rest of your styles, here is a hack, that will do this for you.

This hack can also be integrated with Zero Tolerance's vBChat. However, since I am using a heavily-modified version of vBChat, I haven't included instructions, on how to patch the original vBChat files, in the documentation. If you are interested in having AWS issue automatic warnings when one of your user enters a censored word in a vBChat message, or if you want your moderators to be able to warn a user, who misbehaves in vBChat, please post a thread in this forum and I'll help you through.

This is my first officially released hack, so please don't be to harsh with me, if I broke any rules or made any mistakes. The mods have been tested extensively, both by me and two volunteers (thank you gentlemen), but I am only human.

Closing, let me thank Zero Tolerance, who got me started in this, and who owns a big part of the code of this hack. I definnitely couldn't have done it, without his code.

Special Note
For those who upgrade from Zero Tolerance's hack to my AWS, even though I have included a script which will do some of the work automatically, not everything is done by that script. Read the installation instructions carefully. You have to run the upgrade script first and then do several things manually. If you just run the upgrade script and just upload the files, the AWS will not work properly. If you have any questions, please do not hesitate to post here.

Also, let me add here, that version 3.3.0 wouldn't have been possible without the contribution of Revan.

And a couple of warnings:

PLEASE DOWNLOAD THE LATEST ZIP FILE FROM HERE, BEFORE YOU START INSTALLING THIS HACK. JUST BECAUSE YOU DOWNLOADED IT A COUPLE OF DAYS AGO, THAT DOES NOT MEAN IT IS THE LATEST VERSION. MAKE SURE YOU DOWNLOAD THE ZIP, JUST BEFORE YOU START INSTALLING THIS HACK.


LATEST VERSION

Version 3.4.16 (released Thursday August 25th, 2005 GMT 18:18)

A couple of bugs fixed in this version. One is related to the Notes feature, and it allowed plain users to see the notes entered, if the "Who can view warning points" setting was set to "All".

Features.txt a new version of this file has been uploaded on April 4th2 005 GMT 09:30, which covers the latest additions to the hack. The original Features.txt file hasn't been updated since the first release of this hack, so it was time for an update.

John

Download Now

Only licensed members can download files, Click Here for more information.

Screenshots

Click image for larger version

Name:	screen1.jpg
Views:	3479
Size:	144.6 KB
ID:	21859   Click image for larger version

Name:	screen2.jpg
Views:	2511
Size:	105.6 KB
ID:	21860   Click image for larger version

Name:	screen3.jpg
Views:	3964
Size:	64.5 KB
ID:	21861   Click image for larger version

Name:	screen6.jpg
Views:	3472
Size:	36.6 KB
ID:	21864  

Click image for larger version

Name:	screen5.jpg
Views:	3545
Size:	69.1 KB
ID:	21863   Click image for larger version

Name:	screen4.jpg
Views:	3185
Size:	45.1 KB
ID:	21862   Click image for larger version

Name:	WarningTypes.jpg
Views:	2958
Size:	128.8 KB
ID:	21907  

Show Your Support

  • To receive notifications regarding updates -> Click to Mark as Installed.
  • This modification may not be copied, reproduced or published elsewhere without author's permission.
Similar Mod
Mod Developer Type Replies Last Post
Administrative and Maintenance Tools Advanced Warning System 3.6.7 Delphiprogrammi vBulletin 3.6 Add-ons 622 27 Aug 2015 16:29

Comments
  #2  
Old 21 Nov 2004, 13:14
MindTrix's Avatar
MindTrix MindTrix is offline
 
Join Date: Apr 2002
Real name: Liam Hawkins
Looks nice, well done. I need something like this because i think i need to get firmer on my members, their just going awall lol. So you can define via usergroups who can give warnings etc?
__________________
Hacks Made :
Store 3.0 Color Name Add On.
Last 5 Attachments On Forum Home
Rap Battle System -=RBS=-

Tutorials Made :
The Basics Of PHP For Beginners and The Basics Of PHP [Part 2]

Running away from that Thousand Post Mark
Reply With Quote
  #3  
Old 21 Nov 2004, 14:14
alkatraz alkatraz is offline
 
Join Date: Oct 2002
Location: Vancouver, Canada
Real name: Colin
awesome !
thx
__________________
-alkatraz
Northwest Nissans Classifeds
Reply With Quote
  #4  
Old 21 Nov 2004, 15:08
jluerken's Avatar
jluerken jluerken is offline
 
Join Date: Aug 2003
Location: Germany
Great hack, many thanks.

1. How can I use the installer to add the templates to another than the default skin?

2. Is there an uninstall function?
__________________
Ciao jluerken

Last edited by jluerken; 21 Nov 2004 at 15:19.
Reply With Quote
  #5  
Old 21 Nov 2004, 15:36
burrelly burrelly is offline
 
Join Date: Oct 2002
Parse error: parse error in /home/virtual/site5/fst/var/www/html/admincp/upgrade_warn.php on line 41
Reply With Quote
  #6  
Old 21 Nov 2004, 15:43
sv1cec sv1cec is offline
 
Join Date: May 2004
Real name: John
Originally Posted by MindTrix
Looks nice, well done. I need something like this because i think i need to get firmer on my members, their just going awall lol. So you can define via usergroups who can give warnings etc?
The three usergroups which can warn, are the admins, supermods and mods. If you use the hierarchical schema, the mods can warn the users, the supermods can warn users and mods and the admins can warn everybody. No same-level warning allowed, in other words a mod cannot warn another mod.
Reply With Quote
  #7  
Old 21 Nov 2004, 15:47
sv1cec sv1cec is offline
 
Join Date: May 2004
Real name: John
Originally Posted by jluerken
Great hack, many thanks.

1. How can I use the installer to add the templates to another than the default skin?

2. Is there an uninstall function?
I do not know about additional skins, sorry, I do not have any other skin in my forums site, so I have no idea. I'll check with Zero Tolerance if he can help us out on this.

And sorry, no uninstaller. You can delete the tables and all templates starting with "warn" but the phrases, the existing templates and the files have to be reverse-edited.

Rgds
Reply With Quote
  #8  
Old 21 Nov 2004, 15:49
burrelly burrelly is offline
 
Join Date: Oct 2002
That error is from the upgrade script!

If i remove the } on line 41 it does the template addition by get data base errors when it tried to run the sql queries
Reply With Quote
  #9  
Old 21 Nov 2004, 15:52
jluerken's Avatar
jluerken jluerken is offline
 
Join Date: Aug 2003
Location: Germany
Originally Posted by sv1cec
I do not know about additional skins, sorry, I do not have any other skin in my forums site, so I have no idea. I'll check with Zero Tolerance if he can help us out on this.
Rgds
Ok, would be nice. Actually this hack can only be used with my default skin but I am running 3 others also
__________________
Ciao jluerken
Reply With Quote
  #10  
Old 21 Nov 2004, 15:52
burrelly burrelly is offline
 
Join Date: Oct 2002
Database error in vBulletin 3.0.3:
Invalid SQL: delete from template (title>='warn' AND title<'warn_z')
mysql error: You have an error in your SQL syntax near '(title>='warn' AND title<'warn_z')' at line 1
mysql error number: 1064
Date: Sunday 21st of November 2004 03:52:21 PM
Script: http://www.mysite.com/admincp/upgrade_warn.php
Referer: http://www.mysite.com/admincp/upgrade_warn.php
Username: Burrelly
Reply With Quote
  #11  
Old 21 Nov 2004, 16:03
burrelly burrelly is offline
 
Join Date: Oct 2002
Are there any file updates for the upgrade?

Help file doesent tell you what ones to use for the upgrade!!
Reply With Quote
  #12  
Old 21 Nov 2004, 16:39
sv1cec sv1cec is offline
 
Join Date: May 2004
Real name: John
Originally Posted by burrelly
Are there any file updates for the upgrade?

Help file doesent tell you what ones to use for the upgrade!!
Please download the new zip, I've corrected the mistake in the upgrade script.

What do you mean file updates? If you are refering to the php files, and the standard templates, you will have to undo them yourself.

Sorry, that's the best I can do for the upgrade. Creating an uninstall script for Zero's hack is not something I will do right now.

Rgds
Reply With Quote
  #13  
Old 21 Nov 2004, 16:54
burrelly burrelly is offline
 
Join Date: Oct 2002
Database error in vBulletin 3.0.3:
Invalid SQL: insert into warnings values('','5','1','1101055996','You Have Been Warned!','504','2')
mysql error: Column count doesn't match value count at row 1
mysql error number: 1136
Date: Sunday 21st of November 2004 04:53:16 PM
Script: http://www.mysite.com/Warn.php
Referer: http://www.mysite.com/Warn.php?do=Wa...&id=5&post=504

When i try to warn members using the link above the users posts!

Warning: Invalid argument supplied for foreach() in /home/virtual/site5/fst/var/www/html/includes/functions.php on line 1815

When i try to warn using link at top of profile
Reply With Quote
  #14  
Old 21 Nov 2004, 16:59
jluerken's Avatar
jluerken jluerken is offline
 
Join Date: Aug 2003
Location: Germany
Originally Posted by sv1cec
Please download the new zip, I've corrected the mistake in the upgrade script.

What do you mean file updates? If you are refering to the php files, and the standard templates, you will have to undo them yourself.

Sorry, that's the best I can do for the upgrade. Creating an uninstall script for Zero's hack is not something I will do right now.

Rgds
Ok here is a way to add the template to other styles.
I used PHPMyAdmin to do so:


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

How to modify this?

Change the beginning of the lines to meet your db
INSERT INTO vb3_template VALUES (3646,7,'

where 3646 in my example is the first free number. Check table 'template' for the latest ID and change the above lines so that it is always last ID+1

The 7 is my style where I want the templates to be added.
Check your admincp Style Manager to find out the correct ID.

Please backup your database before you to so and close the forum!
After adding the template manually to the DB using this way you have to create a fake table from your adminCP Style Manager so that the board cache is updated. You can delte this one again with PHPMyAdmin.

cu
__________________
Ciao jluerken

Last edited by jluerken; 21 Nov 2004 at 17:43.
Reply With Quote
  #15  
Old 21 Nov 2004, 17:32
sv1cec sv1cec is offline
 
Join Date: May 2004
Real name: John
Originally Posted by burrelly
Database error in vBulletin 3.0.3:
Invalid SQL: insert into warnings values('','5','1','1101055996','You Have Been Warned!','504','2')
mysql error: Column count doesn't match value count at row 1
mysql error number: 1136
Date: Sunday 21st of November 2004 04:53:16 PM
Script: http://www.mysite.com/Warn.php
Referer: http://www.mysite.com/Warn.php?do=Wa...&id=5&post=504

When i try to warn members using the link above the users posts!

Warning: Invalid argument supplied for foreach() in /home/virtual/site5/fst/var/www/html/includes/functions.php on line 1815

When i try to warn using link at top of profile
Have you uploaded the files to your web server? The insert statement does not have all the values required.

Try uploading all the files in the proper directories, especially warn.php and admincp/admin_warn.php. Your error shows me that you are using the wrong warn.php file.

Rgds

Last edited by sv1cec; 21 Nov 2004 at 17:39.
Reply With Quote
Reply


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Mod Options

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


New To Site? Need Help?

All times are GMT. The time now is 17:53.

Layout Options | Width: Wide Color: